Page MenuHomePhabricator

Complete ruwiki edit quality campaign
Closed, ResolvedPublic

Description

Stats: http://labels.wmflabs.org/campaigns/ruwiki/10/?campaign=stats
Contact: @putnik

  • Announce the campaign
  • Status update no. 1 @ 40%
  • Status update no. 2 @ 105%

  • File task for building models based on labeled data.

Event Timeline

Halfak created this task.Mar 17 2016, 8:42 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 17 2016, 8:42 PM
Halfak updated the task description. (Show Details)Apr 3 2016, 8:00 AM
Halfak added a subscriber: putnik.

@putnik is it OK if I "assign" this to you? All you need to do is keep doing what you have been doing on ruwiki and let me know if you run into problems or reach completion.

Halfak moved this task from Done to Backlog on the Scoring-platform-team (Current) board.
putnik added a comment.Apr 3 2016, 8:15 AM

@Halfak: Yes, it's ok. I'll write when we finish the scoring in the Russian Wikipedia.

Halfak assigned this task to putnik.Apr 3 2016, 11:22 AM

great! Thank you. :)

Now we have more scored edits than total tasks. I hope that this is enough.

stats: {
    assignments: 5700,
    coders: 36,
    labels: 5237,
    tasks: 5193
},

Hmm... that's surprising. I'll look into how we ended up getting more labels than tasks!

>>> d = requests.get("http://labels.wmflabs.org/campaigns/ruwiki/10/?tasks").json()
>>> counts = {}
>>> for t in d['tasks']:
...     counts[len(t['labels'])] = counts.get(len(t['labels']), 0) + 1
... 
>>> counts
{0: 82, 1: 4985, 2: 126}

Yeah... that shouldn't be possible. Still I think we can work with what's here. So, I'll consider this done and file a bug against wikilabels for the weird assignment patterns that has resulted in this problem.

Halfak updated the task description. (Show Details)Apr 6 2016, 11:23 PM
Halfak moved this task from Backlog to Done on the Scoring-platform-team (Current) board.
Ladsgroup moved this task from Backlog to Community on the Wikilabels board.Apr 8 2016, 5:36 AM
Ladsgroup closed this task as Resolved.Apr 26 2016, 3:06 PM
Restricted Application added a project: artificial-intelligence. · View Herald TranscriptFeb 6 2018, 3:06 PM